#
# spec file for package linkat-webapps (Version 0.1.0)
#
# norootforbuild

Name:           linkat-webapps
License:        GPL v2
Vendor:		linkat
Group:          System
Summary:        Linkat GNU/Linux - WebApps
Version:        0.1
Release:        1.1
BuildArch:      i586
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2 
Provides:       linkat-webapps = 0.1
BuildRequires:	coreutils
Requires:  	filesystem, mysql, apache2, php5, apache2-mod_php5

Distribution:	education

%description

Authors:
--------
Albert Pérez Monfort <aperez16#xtec.cat>
Antoni Ginard <aginard#xtec.cat>
Marc Egea i Sala <marc.egea#opentrends.net>


%clean
rm -rf %{buildroot}

%prep

%setup -q -n %{name}-%{version}

mkdir -p %{buildroot}
cp -r * %{buildroot}

%post
if [ -d /home/lnadmin/Desktop/Eines\ d\'administració  ]
then
	cp -r /srv/www/webapps/linkat-webapps.desktop /home/lnadmin/Desktop/Eines\ d\'administració/
	chown lnadmin:users /srv/www/webapps -R
else 
	mkdir -p /root/Desktop
	cp -r /srv/www/webapps/linkat-webapps.desktop /root/Desktop/
fi

%files
%dir %attr(755,root,root) /srv/www/webapps/
%dir %attr(755,root,root) /srv/www/webapps/scripts/
%dir %attr(777,root,root) /srv/www/zkdata/
%dir %attr(777,root,root) /srv/www/zkdata/zktemp/
%dir %attr(777,root,root) /srv/www/zkdata/data/
%dir %attr(777,root,root) /srv/www/moodledata/
%dir %attr(777,root,root) /srv/www/zkdata/data/agendes/
%dir %attr(777,root,root) /srv/www/zkdata/data/descarregues/
%dir %attr(777,root,root) /srv/www/zkdata/data/formularis/
%dir %attr(777,root,root) /srv/www/zkdata/data/forums/
%dir %attr(777,root,root) /srv/www/zkdata/data/jclic/
%dir %attr(777,root,root) /srv/www/zkdata/data/menu/
%dir %attr(777,root,root) /srv/www/zkdata/data/missatges/
%dir %attr(777,root,root) /srv/www/zkdata/data/tauler/
%dir %attr(777,root,root) /srv/www/zkdata/data/temp/

%attr(755,root,root) /srv/www/webapps/credentials.php.template
%attr(755,root,root) /srv/www/webapps/scripts/crear_credencials.sh
%attr(755,root,root) /srv/www/webapps/linkat-webapps.desktop
%attr(666,root,root) /srv/www/zkdata/data/.htaccess
%attr(666,root,root) /srv/www/zkdata/data/.locked
%attr(666,root,root) /srv/www/zkdata/data/agendes/.htaccess
%attr(666,root,root) /srv/www/zkdata/data/agendes/.locked
%attr(666,root,root) /srv/www/zkdata/data/descarregues/.htaccess
%attr(666,root,root) /srv/www/zkdata/data/descarregues/.locked
%attr(666,root,root) /srv/www/zkdata/data/descarregues/captures/.htaccess
%attr(666,root,root) /srv/www/zkdata/data/descarregues/captures/.locked
%attr(666,root,root) /srv/www/zkdata/data/formularis/.htaccess
%attr(666,root,root) /srv/www/zkdata/data/formularis/.locked
%attr(666,root,root) /srv/www/zkdata/data/forums/.htaccess
%attr(666,root,root) /srv/www/zkdata/data/forums/.locked
%attr(666,root,root) /srv/www/zkdata/data/fotos/.htaccess
%attr(666,root,root) /srv/www/zkdata/data/fotos/.locked
%attr(666,root,root) /srv/www/zkdata/data/jclic/.htaccess
%attr(666,root,root) /srv/www/zkdata/data/jclic/.locked
%attr(666,root,root) /srv/www/zkdata/data/menu/.htaccess
%attr(666,root,root) /srv/www/zkdata/data/menu/.locked
%attr(666,root,root) /srv/www/zkdata/data/menu/bg_menu.png
%attr(666,root,root) /srv/www/zkdata/data/menu/feed.png
%attr(666,root,root) /srv/www/zkdata/data/missatges/.htaccess
%attr(666,root,root) /srv/www/zkdata/data/missatges/.locked
%attr(666,root,root) /srv/www/zkdata/data/tauler/.htaccess
%attr(666,root,root) /srv/www/zkdata/data/tauler/.locked
%attr(666,root,root) /srv/www/zkdata/data/temp/.htaccess
%attr(666,root,root) /srv/www/zkdata/data/temp/.locked
%attr(777,root,root) /srv/www/zkdata/data/descarregues/captures
%attr(777,root,root) /srv/www/zkdata/data/fotos

%preun


%postun
if [ -d /home/lnadmin/Desktop/Eines\ d\'administració  ]
then
	rm /home/lnadmin/Desktop/Eines\ d\'administració/linkat-webapps.desktop
else 
	rm /root/Desktop/linkat-webapps.desktop
fi

%posttrans


%changelog
* Mon Oct 18 2010 - David Lara <dlara@espherica.com> - 0.1
- Rebuild for Linkat 4
